package tutorial.core.repositories;

import java.util.List;
import tutorial.core.models.entities.EmailDomain;

/**
 * 
 * @author Xavier
 */
public interface EmailDomainRepo {
    /**
     * 
     * @param data
     * @return 
     */
    public EmailDomain createEmailDomain(EmailDomain data);
    
    /**
     * 
     * @return 
     */
    public List<EmailDomain> findAllEmailDomains();
    
    /**
     * 
     * @param id
     * @return 
     */
    public EmailDomain findEmailDomain(Long id);
    
    /**
     * 
     * @param name
     * @return 
     */
    public EmailDomain findEmailDomainByName(String name);
    
    /**
     * 
     */
    public void deleteAllEmailDomains();
}
